{    var   : }
{ RLB, RUB, M }
Unit AEE9R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AER4R_p, AER14R_p, UTAE10_p;

procedure AEE9R(N :Integer; var A :Array of Real;
                var V :Array of Real; var EV :Array of Real;
                var RLB :Real; var RUB :Real; MM :Integer;
                var M :Integer; var IRAB1 :Array of Integer;
                var RAB1 :Array of Real; var IERR :Integer);

implementation

procedure AEE9R(N :Integer; var A :Array of Real;
                var V :Array of Real; var EV :Array of Real;
                var RLB :Real; var RUB :Real; MM :Integer;
                var M :Integer; var IRAB1 :Array of Integer;
                var RAB1 :Array of Real; var IERR :Integer);
var
I,N1,N2,N3,N4,N5,N6,N7,N11,N22 :Integer;
EPS1 :Real;
label
_1,_2;
begin
N2 := N+N;
for I:=1 to N do
 begin
  N11 := N+I;
  N22 := N2+I;
  RAB1[I-1] := A[(I-1)+1*N];
  if ( I = 1 ) 
   then goto _1;
  RAB1[N11-1] := A[(I-1)+0*N];
  RAB1[N22-1] := IntPower(A[(I-1)+0*N],2);
_1:
 end;
N1 := N+1;
N2 := N*2+1;
N3 := N*3+1;
N4 := N*4+1;
N5 := N*5+1;
N6 := N*6+1;
N7 := N*7+1;
EPS1 := 0.0;
AER4R(N,EPS1,RAB1,RAB1[N1-1],RAB1[N2-1],RLB,RUB,MM,M,
     EV,IRAB1,IERR,RAB1[N3-1],RAB1[N4-1]);
if ( IERR <> 0 ) 
 then goto _2;
AER14R(N,N,RAB1,RAB1[N1-1],RAB1[N2-1],M,EV,IRAB1,V,
     IERR,RAB1[N3-1],RAB1[N4-1],RAB1[N5-1],RAB1[N6-1],RAB1[N7-1]);
_2:
if ( IERR <> 0 ) 
 then UTAE10(IERR,N,22);
end;

end.
